# Generated by Django 4.0.2 on 2023-06-02 06:08

import common.service
from django.conf import settings
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import showrooms.service


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Address',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('latitude', models.DecimalField(decimal_places=6, max_digits=10)),
                ('longitude', models.DecimalField(decimal_places=6, max_digits=10)),
                ('city', models.CharField(max_length=30)),
                ('code', models.IntegerField()),
                ('street', models.CharField(max_length=200)),
            ],
            options={
                'verbose_name_plural': 'Addresses',
            },
        ),
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('path', models.CharField(max_length=255, unique=True)),
                ('depth', models.PositiveIntegerField()),
                ('numchild', models.PositiveIntegerField(default=0)),
                ('grid_img', models.ImageField(blank=True, help_text='Required size: 564х640', null=True, upload_to=common.service.get_path_image, validators=[django.core.validators.FileExtensionValidator(allowed_extensions=['png']), common.service.ImageDimensionsValidator('grid')])),
                ('recommend_img', models.ImageField(blank=True, help_text='Required size: 376х450', null=True, upload_to=common.service.get_path_image, validators=[django.core.validators.FileExtensionValidator(allowed_extensions=['png']), common.service.ImageDimensionsValidator('recommend')])),
                ('alt', models.CharField(help_text='Alt for grid_img, recommend_img', max_length=200)),
                ('name', models.CharField(help_text='Category name in Russian', max_length=200, unique=True)),
                ('title', models.CharField(help_text='Title for SEO', max_length=200)),
                ('slug', models.SlugField(unique=True)),
                ('description', models.TextField(max_length=800)),
                ('detail_img', models.ImageField(help_text='Required size: 816х612', upload_to=common.service.get_path_image, validators=[django.core.validators.FileExtensionValidator(allowed_extensions=['png']), common.service.ImageDimensionsValidator('category_detail')])),
            ],
            options={
                'verbose_name_plural': 'Categories',
            },
        ),
        migrations.CreateModel(
            name='Domain',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('city', models.CharField(help_text='City name in Russian', max_length=128)),
                ('prefix', models.CharField(blank=True, help_text='City prefix for subdomain: moscow. spb, etc', max_length=128, unique=True)),
                ('domain', models.CharField(default='127.0.0.1:8000/', max_length=128, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='Showroom',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('grid_img', models.ImageField(blank=True, help_text='Required size: 564х640', null=True, upload_to=common.service.get_path_image, validators=[django.core.validators.FileExtensionValidator(allowed_extensions=['png']), common.service.ImageDimensionsValidator('grid')])),
                ('recommend_img', models.ImageField(blank=True, help_text='Required size: 376х450', null=True, upload_to=common.service.get_path_image, validators=[django.core.validators.FileExtensionValidator(allowed_extensions=['png']), common.service.ImageDimensionsValidator('recommend')])),
                ('alt', models.CharField(help_text='Alt for grid_img, recommend_img', max_length=200)),
                ('name', models.CharField(help_text='Showroom official name', max_length=200, unique=True)),
                ('title', models.CharField(help_text='Title for SEO', max_length=200)),
                ('slug', models.SlugField(unique=True)),
                ('description', models.TextField(max_length=800)),
                ('description_for_address', models.TextField(help_text='Description near the map block: https://gyazo.com/b5d34a326115ca0e344a0e080f33f3eb', max_length=800)),
                ('link', models.URLField(blank=True)),
                ('is_vintage', models.BooleanField(default=False)),
                ('is_draft', models.BooleanField(default=True)),
                ('time_published', models.DateTimeField()),
                ('addresses', models.ManyToManyField(blank=True, related_name='showrooms_in_addresses', to='showrooms.Address')),
                ('categories', models.ManyToManyField(related_name='showrooms_in_category', to='showrooms.Category')),
                ('domains', models.ManyToManyField(related_name='domains', to='showrooms.Domain')),
                ('parent', models.ForeignKey(blank=True, help_text='Related showrooms', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='showroom_children', to='showrooms.showroom')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='SocialMedia',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
                ('link', models.URLField()),
                ('icon', models.ImageField(upload_to=showrooms.service.get_path_icon)),
            ],
            options={
                'verbose_name_plural': 'Social media',
            },
        ),
        migrations.CreateModel(
            name='ShowroomSocial',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('postfix', models.CharField(max_length=200)),
                ('link', models.URLField()),
                ('showroom', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='showroom_social', to='showrooms.showroom')),
                ('social', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='social_media', to='showrooms.socialmedia')),
            ],
        ),
        migrations.CreateModel(
            name='ShowroomImage',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('image', models.ImageField(help_text='Required size: 816х716', upload_to=showrooms.service.get_path_showroom_image, validators=[django.core.validators.FileExtensionValidator(allowed_extensions=['png']), common.service.ImageDimensionsValidator('showroom_detail')])),
                ('image_thumbnail', models.ImageField(editable=False, upload_to=showrooms.service.get_path_showroom_image)),
                ('alt', models.CharField(help_text='Alt for showroom image SEO', max_length=200)),
                ('showroom', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='showroom_detail_images', to='showrooms.showroom')),
            ],
        ),
        migrations.CreateModel(
            name='SavedShowroom',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('saved_by', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
                ('showroom', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='saved', to='showrooms.showroom')),
            ],
        ),
        migrations.CreateModel(
            name='Rating',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('star', models.IntegerField(blank=True, null=True, validators=[django.core.validators.MaxValueValidator(5), django.core.validators.MinValueValidator(1)])),
                ('showroom', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='ratings', to='showrooms.showroom')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='PhoneNumber',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('phone_number', models.CharField(blank=True, max_length=16, validators=[django.core.validators.RegexValidator(message="Phone number must be entered in the format: '+7(999)999-99-99'", regex='^\\+?1?\\d{1}\\(?1?\\d{2,4}\\)?1?\\d{2,3}\\-?1?\\d{2}\\-?1?\\d{2}$')])),
                ('showroom', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='showroom_phone', to='showrooms.showroom')),
            ],
        ),
        migrations.CreateModel(
            name='Item',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('grid_img', models.ImageField(blank=True, help_text='Required size: 564х640', null=True, upload_to=common.service.get_path_image, validators=[django.core.validators.FileExtensionValidator(allowed_extensions=['png']), common.service.ImageDimensionsValidator('grid')])),
                ('recommend_img', models.ImageField(blank=True, help_text='Required size: 376х450', null=True, upload_to=common.service.get_path_image, validators=[django.core.validators.FileExtensionValidator(allowed_extensions=['png']), common.service.ImageDimensionsValidator('recommend')])),
                ('alt', models.CharField(help_text='Alt for grid_img, recommend_img', max_length=200)),
                ('name', models.CharField(max_length=200)),
                ('title', models.CharField(max_length=200)),
                ('description', models.TextField(max_length=800)),
                ('link', models.URLField()),
                ('is_best', models.BooleanField(default=False)),
                ('showroom', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='items', to='showrooms.showroom')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='address',
            name='domain',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='showrooms.domain'),
        ),
    ]
